site_name: spade-client module
repo_url: https://gitlab.com/nest.lbl.gov/spade-client
repo_name: GitLab

nav:
  - "SPADE Client": README.md
  - "Modules, Protocols, and Classes":
#    - "Modules":
#      - "Connection utilities": modules/connection_utils.md
#    - "Protocols":
#      - "Consumption Protocol": protocols/consumption.md
#      - "ConsumptionManager Protocol": protocols/consumption_manager.md
    - "Classes":
      - "Consumer Class": classes/spade.md

theme:
  name: "readthedocs"

plugins:
- mkdocstrings:
    handlers:
      python:
        paths: [src/main/python/client_pkg]
